[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.Log

Write a message to the event log

## Declaration

Source position: custapp.pp line 85

`public procedure TCustomApplication.Log(`
`EventType: TEventType;`
`const Msg: string`
`); procedure TCustomApplication.Log(`
`EventType: TEventType;`
`const Fmt: string;`
`const Args: array of Const`
`);`

## Arguments

`EventType` |  | Type of event
`Msg` |  | Message to log

## Arguments

`EventType` |  | Type of event
`Fmt` |  | Format string
`Args` |  | Formatting arguments

## Description

Log is meant for all applications to have a default logging mechanism. By default it does not do anything, descendent classes should override this method to provide appropriate logging: they should write the message Msg with type EventType to some log mechanism such as #fcl.eventlog.TEventLog

The second form using Fmt and Args will format the message using the provided arguments prior to logging it.

## Errors

None.

## See also

#rtl.sysutils.TEventType